.LP
\fIintel20\fR - This workaround flag will work around several Intel IPMI
2.0 authentication issues.  The issues covered include padding of
usernames, and password truncation if the authentication algorithm is
HMAC-MD5-128.  Those hitting this issue may see "username invalid",
"password invalid", or "k_g invalid" errors.  Issue observed on Intel
SE7520AF2 with Intel Server Management Module (Professional Edition).
.LP
\fIsupermicro20\fR - This workaround flag will work around several
Supermicro IPMI 2.0 authentication issues on motherboards w/ Peppercon
IPMI firmware.  The issues covered include handling invalid length
authentication codes.  Those hitting this issue may see "password
invalid" errors.  Issue observed on Supermicro H8QME with SIMSO
daughter card.  Confirmed fixed on newerver firmware.
.LP
\fIsun20\fR - This workaround flag will work work around several Sun IPMI
2.0 authentication issues.  The issues covered include invalid
lengthed hash keys, improperly hashed keys, and invalid cipher suite
records.  Those hitting this issue may see "password invalid" or "bmc
error" errors.  Issue observed on Sun Fire 4100/4200/4500 with ILOM.
This workaround automatically includes the "opensesspriv" workaround.
.LP
\fIopensesspriv\fR - This workaround flag will slightly alter
FreeIPMI's IPMI 2.0 connection protocol to workaround an invalid
hashing algorithm used by the remote system.  The privilege level sent
during the Open Session stage of an IPMI 2.0 connection is used for
hashing keys instead of the privilege level sent during the RAKP1
connection stage.  Those hitting this issue may see "password
invalid", "k_g invalid", or "bad rmcpplus status code" errors.  Issue
observed on Sun Fire 4100/4200/4500 with ILOM, Inventec 5441/Dell
Xanadu II, Supermicro X8DTH, Supermicro X8DTG, Intel S5500WBV/Penguin
Relion 700, Intel S2600JF/Appro 512X, and Quanta QSSC-S4R//Appro
GB812X-CN.  This workaround is automatically triggered with the
"sun20" workaround.
.LP
\fIintegritycheckvalue\fR - This workaround flag will work around an
invalid integrity check value during an IPMI 2.0 session establishment
when using Cipher Suite ID 0.  The integrity check value should be 0
length, however the remote motherboard responds with a non-empty
field.  Those hitting this issue may see "k_g invalid" errors.  Issue
observed on Supermicro X8DTG, Supermicro X8DTU, and Intel
S5500WBV/Penguin Relion 700, and Intel S2600JF/Appro 512X.
